﻿<Window x:Class="ADG_Assistance.Vue.DataManagement.ManageProjet"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:ADG_Assistance.Vue.DataManagement"
        mc:Ignorable="d"
		ResizeMode="NoResize"
		WindowStartupLocation="CenterScreen"
        Title="Gestion Projet" Height="850" Width="1300" Loaded="Window_Loaded" Closing="Window_Closing">
    <Grid x:Name="grid" Panel.ZIndex="1" IsEnabled="true">
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="50*"/>
            <ColumnDefinition Width="52.5"/>
            <ColumnDefinition Width="1163"/>
            <ColumnDefinition Width="55"/>
            <ColumnDefinition Width="50*"/>
        </Grid.ColumnDefinitions>

        <Grid.RowDefinitions>
            <RowDefinition Height="50*"/>
            <RowDefinition Height="800"/>
            <RowDefinition Height="50*"/>
        </Grid.RowDefinitions>

        <GroupBox x:Name="grpDataProject" Grid.Column="1" Margin="10,10,0,0" VerticalAlignment="Top" HorizontalAlignment="Left" Width="720" Height="108" Grid.Row="1" Header="Données Projet" Grid.ColumnSpan="2">
            <Grid>
                <Label x:Name="LBL_NomClient" Content="Nom de l'Entreprise*" HorizontalAlignment="Left" Margin="29,10,0,0" VerticalAlignment="Top" Height="28"/>
                <Label x:Name="LBL_ProjetNom" Content="Nom du Projet*" HorizontalAlignment="Left" Margin="29,39,0,-12" VerticalAlignment="Top" Height="29"/>
                <Label x:Name="LBL_DataGridContactProjet" Grid.Row="1" Margin="750,135,166,641" Content="Contacts Associés" Grid.Column="1" Height="24px"/>
                <Label x:Name="LBL_DataGridServeurProjet" Grid.Row="1" Margin="750,365,166,411" Content="Serveur associés" Grid.Column="1" Height="24px"/>
                <Label x:Name="LBL_ProjetCommentaire" Content="Commentaire" HorizontalAlignment="Left" Margin="-14,592,0,-579" VerticalAlignment="Top" Height="43"/>

                <ComboBox Style="{StaticResource CBB_StyleManage}" IsTextSearchEnabled="False" SelectedItem="{Binding Client}" SelectionChanged="CMB_NomClient_SelectionChanged" IsEditable="True" Height="24" x:Name="CMB_NomClient" DisplayMemberPath="Nom" HorizontalAlignment="Left" Margin="149,10,0,0" VerticalAlignment="Top" Width="525"/>

                <TextBox Text="{Binding Nom, Mode=OneWay}" Style="{StaticResource TXT_StyleDisplay}" KeyUp="TXT_NomClient_KeyUp"  Margin="149,10,0,0" x:Name="TXT_NomClient" Padding="0,3,0,0" Height="24px" Width="525"/>
                <TextBox Style="{StaticResource TXT_StyleDisplay}"  x:Name="TXT_ProjetNom" Text="{Binding Nom}" HorizontalAlignment="Left" Height="24" Margin="149,39,0,-7" TextWrapping="Wrap" VerticalAlignment="Top" Width="525" Padding="0,3,0,0"/>

            </Grid>
        </GroupBox>



        <Button x:Name="BTN_AddContactProjet" Content="Ajouter" Grid.Column="2" HorizontalAlignment="Left" Margin="1041,152,0,0" Grid.Row="1" VerticalAlignment="Top" Width="82" Click="BTN_AddContactProjet_Click"/>
        <Button x:Name="BTN_RemoveContactProjet" Content="Retirer" HorizontalAlignment="Left" VerticalAlignment="Top" Width="78" Grid.Column="2" Margin="1128,152,0,0" Grid.Row="1" Click="BTN_RemoveContactProjet_Click" Grid.ColumnSpan="2"/>

        <GroupBox x:Name="GRB_ProjetBddADG" Grid.Column="2" Header="Base de données ADG" HorizontalAlignment="Left" Height="141" Margin="699,400,0,0" Grid.Row="1" VerticalAlignment="Top" Width="510" Grid.ColumnSpan="2">
            <Grid>
                <Label x:Name="LBL_ProjetADGBddNom" Content="Nom Base de données" HorizontalAlignment="Right" Margin="0,10,363,0" VerticalAlignment="Top" Height="24"/>
                <Label x:Name="LBL_ProjetADGBddUserNom" Content="Nom d'Utilisateur" HorizontalAlignment="Right" VerticalAlignment="Top" Margin="0,39,363,0" Height="24"/>
                <Label x:Name="LBL_ProjetADGBddPassword" Content="Mot de Passe" HorizontalAlignment="Left" Margin="48,65,0,0" VerticalAlignment="Top" Height="24"/>

                <TextBox Style="{StaticResource TXT_StyleDisplay}"  x:Name="TXT_ProjetADGBddNom" Text="{Binding NomBaseADG}" HorizontalAlignment="Left" Height="24" Margin="150,11,0,0" TextWrapping="Wrap" VerticalAlignment="Top" Width="336" Padding="0,3,0,0"/>
                <TextBox Style="{StaticResource TXT_StyleDisplay}"  x:Name="TXT_ProjetADGBddUserNom" Text="{Binding NomUserBaseADG}" HorizontalAlignment="Left" Height="24" Margin="150,40,0,0" TextWrapping="Wrap" VerticalAlignment="Top" Width="336" Padding="0,3,0,0"/>
                <TextBox Style="{StaticResource TXT_StyleDisplay}"  x:Name="TXT_ProjetADGBddPassword" Text="{Binding MdpBaseADG}" HorizontalAlignment="Left" Height="24" Margin="150,69,0,-4" TextWrapping="Wrap" VerticalAlignment="Top" Width="336" Padding="0,3,0,0"/>
            </Grid>
        </GroupBox>

        <GroupBox x:Name="GRB_ProjetBddClient" Grid.Column="1" Header="Base de données Client" HorizontalAlignment="Left" Height="123" Margin="10,521,0,0" Grid.Row="1" VerticalAlignment="Top" Width="720" Grid.ColumnSpan="2">
            <Grid Margin="2,0,-2,0">

                <Label x:Name="LBL_ProjetClientBddNom" Content="Nom Base de données" HorizontalAlignment="Left" Margin="15,0,0,0" VerticalAlignment="Top" Height="24"/>
                <Label x:Name="LBL_ProjetClientBddUserNom" Content="Nom d'Utilisateur" HorizontalAlignment="Left" Margin="41,24,0,0" VerticalAlignment="Top" Height="24"/>
                <Label x:Name="LBL_ProjetClientBddPassword" Content="Mot de Passe" HorizontalAlignment="Left" Margin="63,53,0,0" VerticalAlignment="Top" Height="24"/>

                <TextBox Style="{StaticResource TXT_StyleDisplay}"  x:Name="TXT_ProjetClientBddNom" Text="{Binding NomBaseClient}" HorizontalAlignment="Left" Height="24" Margin="149,-5,0,0" TextWrapping="Wrap" VerticalAlignment="Top" Width="525" Padding="0,3,0,0"/>
                <TextBox Style="{StaticResource TXT_StyleDisplay}"  x:Name="TXT_ProjetClientBddUserNom" Text="{Binding NomUserBaseClient}" HorizontalAlignment="Left" Height="24" Margin="149,24,0,0" TextWrapping="Wrap" VerticalAlignment="Top" Width="525" Padding="0,3,0,0"/>
                <TextBox Style="{StaticResource TXT_StyleDisplay}"  x:Name="TXT_ProjetClientBddPassword" Text="{Binding MdpBaseClient}" HorizontalAlignment="Left" Height="24" Margin="149,53,0,-6" TextWrapping="Wrap" VerticalAlignment="Top" Width="525" Padding="0,3,0,0"/>
            </Grid>
        </GroupBox>

        <GroupBox Grid.Column="2" Grid.Row="1" Width="510" Height="137" VerticalAlignment="Top" HorizontalAlignment="Right" Margin="0,10,10,0" Header="Autres" Grid.ColumnSpan="2">
            <Grid>
                <Label x:Name="LBL_ProjetClickOnce" Content="ClickOnce" HorizontalAlignment="Left" VerticalAlignment="Top" Width="62" Margin="12,10,0,0"/>
                <TextBox Style="{StaticResource TXT_StyleDisplay}"  x:Name="TXT_ProjetClickOnce" Text="{Binding Clickonce}" HorizontalAlignment="Left" Height="24" TextWrapping="Wrap" VerticalAlignment="Top" Width="409" Margin="79,10,0,0" Padding="0,3,0,0"/>
                <Label x:Name="LBL_ProjetGit" Content="Git" HorizontalAlignment="Left" VerticalAlignment="Top" Height="27" Width="25" Margin="49,36,0,0"/>
                <TextBox Style="{StaticResource TXT_StyleDisplay}" x:Name="TXT_ProjetGit" Text="{Binding Git}" HorizontalAlignment="Left" Height="24" TextWrapping="Wrap" VerticalAlignment="Top" Width="409" Margin="79,39,0,0" Padding="0,3,0,0"/>
                <CheckBox Style="{StaticResource ColumnElementStyle}" x:Name="CBX_ProjetPresenceBdd" IsChecked="{Binding PresenceBase}"  Content="Présence base de données" HorizontalAlignment="Left" VerticalAlignment="Top" Margin="79,68,0,0"/>
            </Grid>
        </GroupBox>

        <DataGrid Style="{StaticResource DG_StyleDisplay}" RowBackground="LightPink" Foreground="Black" x:Name="DG_ContactProjet" Grid.Column="2" HorizontalAlignment="Left" Margin="712,229,0,0" Grid.Row="1" VerticalAlignment="Top" Height="158" Width="480" CanUserAddRows="False" CanUserDeleteRows="False" AutoGenerateColumns="False" AddingNewItem="DG_ContactProjet_AddingNewItem" Grid.ColumnSpan="2">
            <DataGrid.Columns>
                <DataGridTextColumn Binding="{Binding Nom}" Header="Nom" Width="*" IsReadOnly="False"/>
                <DataGridTextColumn Binding="{Binding Prenom}" Header="Prenom" Width="*" IsReadOnly="False"/>
                <DataGridTextColumn Binding="{Binding Telephone}" Header="Téléphone" Width="*" IsReadOnly="False"/>
            </DataGrid.Columns>
            <DataGrid.CellStyle>
                <Style TargetType="{x:Type DataGridCell}">

                    <Setter Property="BorderThickness" Value="5"/>
                    <Setter Property="FocusVisualStyle" Value="{x:Null}"/>
                </Style>
            </DataGrid.CellStyle>
        </DataGrid>

        <GroupBox Grid.Column="2" Grid.Row="1" Width="510" Height="123" VerticalAlignment="Top" HorizontalAlignment="Right" Margin="0,546,10,0" Header="Redmine" Grid.ColumnSpan="2">
            <Grid>
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="671*"/>
                    <ColumnDefinition Width="21*"/>
                    <ColumnDefinition Width="2*"/>
                </Grid.ColumnDefinitions>
                <Label Content="Nom projet Redmine" HorizontalAlignment="Left" Margin="0,10,0,0" VerticalAlignment="Top" Height="24" Width="145"/>
                <TextBox Style="{StaticResource TXT_StyleDisplay}"  x:Name="TXT_Redmine" Margin="150,10,0,0" Text="{Binding NomProjetRedmine, UpdateSourceTrigger=PropertyChanged}" LostFocus="TextBox_LostFocus" Padding="0,3,0,0" Width="140" VerticalAlignment="Top" HorizontalAlignment="Left" Height="24" TextChanged="TextBox_TextChanged" />
                <TextBlock  Text="Lien vers projet RedMine" Margin="10,43,311,10"/>
            </Grid>
        </GroupBox>



        <TextBox Style="{StaticResource TXT_StyleDisplay}"  x:Name="TXT_ProjetCommentaire" Text="{Binding Commentaire}" AcceptsReturn="True" HorizontalAlignment="Left" Height="91" Margin="10,674,0,0" TextWrapping="Wrap" VerticalAlignment="Top" Width="1251" Padding="0,3,0,0" Grid.Column="1" Grid.Row="1" Grid.ColumnSpan="3"/>

        <Button x:Name="BTN_AcceptProjet" Content="Valider" Grid.Column="1" HorizontalAlignment="Left" Margin="10,770,0,0" Grid.Row="1" VerticalAlignment="Top" Width="75" Click="BTN_AcceptProjet_Click" Grid.ColumnSpan="2" Grid.RowSpan="2"/>
        <Button x:Name="BTN_CancelProjet" Content="Annuler" Grid.Column="2" HorizontalAlignment="Left" Margin="1118,770,0,0" Grid.Row="1" VerticalAlignment="Top" Width="90" Click="BTN_CancelProjet_Click" Grid.RowSpan="2" Grid.ColumnSpan="2"/>

        <GroupBox Grid.Column="1" Header="Télé-Assistance / Team Viewer / Session Windows" HorizontalAlignment="Left" Height="352" Margin="10,164,0,0" Grid.Row="1" VerticalAlignment="Top" Width="720" Grid.ColumnSpan="2" >
            <DataGrid Style="{StaticResource DG_StyleDisplay}" RowBackground="LightPink" Foreground="Black" x:Name="DG_Assistance" HorizontalAlignment="Left" Height="292" Margin="0,10,0,-2" VerticalAlignment="Top" Width="710" Grid.Row="1" Grid.Column="1" CanUserAddRows="False" CanUserDeleteRows="False" AutoGenerateColumns="False" SnapsToDevicePixels="True" ForceCursor="True" SelectionChanged="DG_Assistance_SelectionChanged" >
                <DataGrid.Columns>
                    <DataGridTextColumn Binding="{Binding nom}"  Width="75" Header="Nom" IsReadOnly="True"/>
                    <DataGridTextColumn Binding="{Binding id_de_connexion}" Width="120"  Header="Id de connexion" IsReadOnly="True"/>
                    <DataGridTextColumn Binding="{Binding mot_de_passe}" Width="110" Header="Mot de passe" IsReadOnly="True"/>
                    <DataGridTextColumn Binding="{Binding serveur}" Width="75"  Header="Serveur" IsReadOnly="True"/>
                    <DataGridTextColumn Binding="{Binding utilisateur_session}" Width="130" Header="Utilisateur session" IsReadOnly="True"/>
                    <DataGridTextColumn Binding="{Binding mot_de_passe_session}" Width="*" Header="Mot de passe session" IsReadOnly="True"/>
                </DataGrid.Columns>
                <DataGrid.CellStyle>
                    <Style TargetType="{x:Type DataGridCell}">

                        <Setter Property="BorderThickness" Value="5"/>
                        <Setter Property="FocusVisualStyle" Value="{x:Null}"/>
                    </Style>
                </DataGrid.CellStyle>
            </DataGrid>

        </GroupBox>
        <Button x:Name="BTN_DeleteAssistance" Content="Retirer" Grid.Column="2" HorizontalAlignment="Left" Margin="602,126,0,0" Grid.Row="1" VerticalAlignment="Top" Width="76" Click="BTN_RemoveAssistance_Click"/>
        <Button x:Name="BTN_ModifyAssistance" Content="Modifier" Grid.Column="2" HorizontalAlignment="Left" Margin="500,126,0,0" Grid.Row="1" VerticalAlignment="Top" Width="97" Click="BTN_ModifyAssistance_Click"/>
        <GroupBox Grid.Column="2" Header="Contact" HorizontalAlignment="Left" Height="206" Margin="699,189,0,0" Grid.Row="1" VerticalAlignment="Top" Width="512" Grid.ColumnSpan="2"/>
        <Button x:Name="BTN_AddAssistance_Copy" Content="Ajouter" Grid.Column="2" HorizontalAlignment="Left" Margin="413,126,0,0" Grid.Row="1" VerticalAlignment="Top" Width="82" Click="BTN_AddAssistance_Click"/>

    </Grid>
</Window>